## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLNamespaceDeclarationDefault

All Superinterfaces:
  SQLObject, SQLQueryObject, XMLNamespaceDeclarationItem

All Known Implementing Classes:
  XMLNamespaceDeclarationDefaultImpl

public interface XMLNamespaceDeclarationDefault
extends XMLNamespaceDeclarationItem

A representation of the model object 'XML Namespace Declaration Default'.

The following features are supported:

- `No Default`

See Also:
  `SQLXMLQueryModelPackage.getXMLNamespaceDeclarationDefault()`

Method Summary
`boolean` `isNoDefault()` Returns the value of the 'No Default' attribute.
`void` `setNoDefault(boolean value)` Sets the value of the '`No Default`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.xml.query.XMLNamespaceDeclarationItem
`getNamespacesDecl, getUri, setNamespacesDecl, setUri`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isNoDefault

    public boolean isNoDefault()

  Returns the value of the 'No Default' attribute. The default value is `"false"`.

  If the meaning of the 'No Default' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'No Default' attribute.
  See Also:
    `setNoDefault(boolean)`, `SQLXMLQueryModelPackage.getXMLNamespaceDeclarationDefault_NoDefault()`

### setNoDefault

    public void setNoDefault(boolean value)

  Sets the value of the '`No Default`' attribute.

  Parameters:
    `value` - the new value of the 'No Default' attribute.
  See Also:
    `isNoDefault()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.